Skip to main content
GET
/
staking
/
positions_paginated
TypeScript
const response: Promise<FireblocksResponse<StakingPositionsPaginatedResponse>> = fireblocks.staking.getPositions(stakingApiGetPositionsRequest);
CompletableFuture<ApiResponse<StakingPositionsPaginatedResponse>> response = fireblocks.staking().getPositions(pageSize, chainDescriptor, vaultAccountId, pageCursor, order);
response = fireblocks.staking.get_positions(page_size, chain_descriptor, vault_account_id, page_cursor, order);
curl --request GET \
--url https://api.fireblocks.io/v1/staking/positions_paginated
const options = {method: 'GET'};

fetch('https://api.fireblocks.io/v1/staking/positions_paginated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "b70701f4-d7b1-4795-a8ee-b09cdb5b850a",
      "vaultAccountId": "2",
      "validatorName": "FwR3P......tT59f",
      "providerName": "Kiln",
      "chainDescriptor": "SOL",
      "amount": "0.05",
      "rewardsAmount": "0.000856038",
      "dateCreated": "2023-07-13T15:55:34.256Z",
      "dateUpdated": "2023-07-13T15:55:34.256Z",
      "status": "ACTIVE",
      "validatorAddress": "FwR3PbjS5iyqzLiLugrBqKSa5EKZ4vK9SKs7eQXtT59f",
      "providerId": "kiln",
      "availableActions": [
        "UNSTAKE"
      ],
      "inProgress": true,
      "blockchainPositionInfo": {
        "stakeAccountAddress": "3Ru67FyzMTcdENmmRL4Eve4dtPd6AdpuypR21q5EQCdq",
        "rewardsBreakdown": {
          "issuance": "0.000856038",
          "mev": "0.000123456",
          "lastRewardSyncedAt": "2023-07-13T15:55:34.256Z"
        }
      },
      "inProgressTxId": "c80601f4-d7b1-4795-a8ee-b09cdb5b450c"
    }
  ],
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}
{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}
{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}
{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}
{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}
{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}
{
"message": "<string>",
"code": 123
}

Query Parameters

chainDescriptor
enum<string>

Protocol identifier to filter positions (e.g., ATOM_COS/AXL/CELESTIA). If omitted, positions across all supported chains are returned. Protocol identifier for the staking operation.

Available options:
ATOM_COS,
AXL,
AXL_TEST,
CELESTIA,
DYDX_DYDX,
ETH,
ETH_TEST6,
ETH_TEST_HOODI,
INJ_INJ,
MANTRA,
MATIC,
OSMO,
POL,
POL_TEST,
SOL,
SOL_TEST,
STETH_ETH,
STETH_ETH_TEST6_DZFA,
STETH_ETH_TEST_HOODI
vaultAccountId
string<numeric>

Filter positions by Fireblocks vault account ID. If omitted, positions across all vault accounts are returned.

pageSize
integer<int32>
default:10
required

Number of results per page. When provided, the response returns a paginated object with {data, next}. If omitted, all results are returned as an array.

Required range: 1 <= x <= 100
Example:

10

pageCursor
string

Cursor for the next page of results. Use the value from the 'next' field in the previous response.

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"

order
enum<string>
default:DESC

ASC / DESC ordering (default DESC)

Available options:
ASC,
DESC
Example:

"ASC"

Response

Positions retrieved successfully with pagination.

data
object[]
required

The data of the current page of staking positions

next
string | null

The cursor for the next page

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"